%define realname opengfx
%define prever   alpha6

Name:           openttd-opengfx
Version:        0.1.0
Release:        0.1%{?prever:.%{prever}}%{?dist}
Summary:        OpenGFX replacement graphics for OpenTTD

Group:          Amusements/Games
License:        GPLv2
URL:            http://dev.openttdcoop.org/projects/opengfx
Source0:        http://bundles.openttdcoop.org/opengfx/releases/%{realname}-%{version}%{?prever:-%{prever}}-source.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  grfcodec dos2unix
Requires:       openttd


%description
The ultimate aim of this project is to have a full replacement set of graphics,
so that OpenTTD can be distributed freely without the need of the copyrighted
graphics from the original game.


%prep
%setup -q -n %{realname}-%{version}%{?prever:-%{prever}}-source 
dos2unix docs/authoroverview.csv docs/changelog.ptxt docs/license.ptxt \
    docs/readme.ptxt docs/aoHTMLoutput/config.inc.php \
    docs/aoHTMLoutput/script.php docs/aoHTMLoutput/style.css


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/openttd/data
make install INSTALLDIR=$RPM_BUILD_ROOT%{_datadir}/openttd/data

# OpenGFX doesn't have a sound file yet so this is required
# otherwise OpenTTD refuses to start
touch $RPM_BUILD_ROOT%{_datadir}/openttd/data/sample.cat


%check
cd $RPM_BUILD_ROOT%{_datadir}/openttd/data


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/*.txt
%doc docs/aoHTMLoutput/
%{_datadir}/openttd/data/*


%changelog
* Sun Aug 23 2009 Felix Kaechele <heffer@fedoraproject.org> - 0.1.0-0.1.alpha6
- new upstream release

* Thu May 28 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.4.alpha4.2
- added md5 check

* Tue Apr 14 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.3.alpha4.2
- now compiles from source

* Sun Mar 29 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.2.alpha4.2
- improved macro usage
- touch sample.cat

* Sat Mar 21 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.1.alpha4.2
- initial build

